<template>
  <div class="monitor-panel">
    <div class="panel">
      <div class="header">
        <div class="title">
          <Icon :type="menu.icon" />&nbsp;{{ menu.title }}
        </div>
        <a href="javascript:;" class="close" @click="close">
          <Icon type="md-close" :size="20" color="#000" />
        </a>
      </div>
      <div class="body">
        <MonitorPanelAGV v-if="currentPanel == 'agv'"></MonitorPanelAGV>
        <MonitorPanelOrder
          v-else-if="currentPanel == 'order'"
        ></MonitorPanelOrder>
        <MonitorPanelTask v-else-if="currentPanel == 'task'"></MonitorPanelTask>
      </div>
      <div class="footer"></div>
    </div>
  </div>
</template>

<script>
import MonitorPanelAGV from "@/components/monitor/panels/agv";
import MonitorPanelOrder from "@/components/monitor/panels/order";
import MonitorPanelTask from "@/components/monitor/panels/task";
export default {
  name: "MonitorPanel",
  components: {
    MonitorPanelAGV,
    MonitorPanelOrder,
    MonitorPanelTask,
  },
  props: {
    menu: Object,
  },
  data() {
    return {};
  },
  computed: {
    currentPanel() {
      return this.menu.name;
    },
  },
  methods: {
    close() {
      this.$emit("close");
    },
  },
};
</script>

<style lang="less" scoped>
.monitor-panel {
  height: 100%;
  .panel {
    height: 100%;
    padding: 3px 11px;
    .header {
      height: 38px;
      line-height: 38px;
      border-bottom: 1px solid #ddd;
      .title {
        display: inline-block;
        color: #2d8cf0;
      }
      .close {
        float: right;
      }
    }
    .body {
      height: calc(100% - 38px);
    }
  }
}
</style>